#!/usr/bin/perl -w
use strict;

local $/ = undef;

my $input = "slrn-manual-4.html";
my $output = "slrn-manual-4.txt";
my $dir = "help";

my $text;

system("lynx -dump $input > $output");

open(TEXT, $output) or die($1);

$text = <TEXT>;

close(TEXT);

$text =~ s/^  (\w+)\n\n/"\n\n  $1\n  " . "-" x length($1) . "\n\n"/gem;
$text =~ s/\[\d+\](\w+)/$1/g;

open(TEXT, ">$output") or die($!);

print TEXT $text;

close(TEXT);

system("emacs $output");

open(TEXT, $output) or die($1);

$text = <TEXT>;

close(TEXT);

while ($text =~ s/^  (\w+)\n  (-+)\n(.+?)\n\n\n//ms) {
  open(HELP, ">$dir/$1") or die($!);

  print HELP "\n$1\n$2\n$3\n";
  print HELP q|
-- 
(C) Matthias Friedrich <mafr@topmail.de> and Thomas Schultz <tststs@gmx.de>.
The complete manual can be found at <htp://slrn.sourceforge.net/manual/>.
|;

  close(HELP);
}
